package org.ucam.srcf.assassins;

import java.util.Comparator;

class PluginPriorityComparator implements Comparator {
   /**
    * We want plugins with a lower priority to run first
    * @return negative number if o1 shuold run before o2
    */
   public int compare(Object o1, Object o2) {
      Plugin p1 = (Plugin) o1;
      Plugin p2 = (Plugin) o2;

      return p1.getPriority() - p2.getPriority();
   }
}
